@import "@styles/base/colors";
@import "@styles/base/typography.scss";

.container {
  position: relative;
  width: 100%;
  max-width: 226px;
}

.positionWrapper {
  position: relative;
  min-height: 50px;
}

.inputContainer {
  width: 100%;
  background: #fff;
  border-radius: 10px;
  margin-bottom: 25px;
  cursor: initial;
  position: absolute;
  white-space: nowrap;
  display: flex;
  flex-direction: column;
  align-items: center;
  border: 1px solid $greyColor;
  z-index: 100;

  .wrapper {
    transition: all 0.5s ease, background 0s, color 0s, border 0s;
    width: 100%;
    justify-content: flex-start;
    min-height: 50px;
    height: 100%;
    text-overflow: ellipsis;
    overflow: hidden;
    @include font($fontGothamLight, 18px, 21.6px);
    color: $greyColor;
    user-select: none;
    border-radius: 10px;
    display: flex;
    border-bottom: 1px solid transparent;

    .inputSection {
      width: 33%;
      display: flex;
      align-items: center;
      justify-content: space-between;
      border-right: 1px solid $greyColor;
      padding: 0 14px;

      &:last-child {
        border-right: none;
      }

      & > span {
        margin-right: 5px;
      }

      .chevron {
        transform: rotate(-90deg);
        transition: all 0.4s ease;
      }

      .chevronOpen {
        transform: rotate(90deg);
      }
    }
  }

  .filledValue {
    @include font($fontGotham, 18px, 21.6px);
    color: $blackColor;
  }

  .list {
    display: none;
    width: 100%;
    max-height: 200px;
    overflow: hidden;

    .collapse {
      display: flex;
      max-height: 200px;

      .optionsContainer {
        width: 33%;
        overflow-y: scroll;
        scrollbar-width: 2px !important;

        &::-webkit-scrollbar {
          width: 5px;
        }

        & li {
          height: 48px;
          position: relative;
          white-space: nowrap;
          display: flex;
          align-items: center;
          justify-content: center;
          cursor: pointer;
          @include font($fontGothamLight, 18px, 22px);
          color: $greyColor;

          &:hover {
            background-color: $lightBlueSecColor;
            color: $primaryColor;
          }

          &:first-child {
            margin-top: 15px;
          }

          &:last-child {
            margin-bottom: 15px;
          }
        }
      }

      .noScroll {
        overflow-y: hidden;
      }
    }
  }
}

.openList {
  display: block !important;
}

.wrapperOpen {
  border-bottom: 1px solid $greyColor !important;
}

// Option
.optionSelected {
  background-color: $lightBlueSecColor;
  font-family: GothamMedium !important;
  font-size: 18px;
  line-height: 22px;
  color: $primaryColor !important;
}

.optiondisabled {
  cursor: "not-allowed";
}

// Label
.labelDescription {
  width: 100%;
  @include font($fontGothamLight, 12px, 14.4px);
  color: $greyText;
  margin-bottom: 10px;
}

.inputLabel {
  @include font($fontGothamLight, 12px, 14.4px);
  margin: 15px 0 5px;
}
